Skip to content
Cipay
Esc
navigateopen⌘Jpreview

List Price Offers

GET/v2/products/{productId}/prices
Authorization
AuthorizationBearer token · headerrequired
Merchant API key scoped to one merchant and environment. Read operations require api:read, normal write operations require api:write, and broadcast mutations also require explicit broadcasts:write.
Path parameters
productIdstring<uuid>required
Query parameters
statusstring
default: "all"
Allowed:draftpublishedretiredall
limitinteger
min 1 · max 100 · default: 100
cursorstring
matches ^\d{1,16}:[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
Header parameters
x-request-idstring
Optional caller-provided request correlation ID.
min length 1
Responses
200OK
nextCursorstring | anyrequired
Show properties
Any of:
string
string
any
any
pricesobject[]required
Show properties
Array of object
idstring<uuid>required
merchantIdstring<uuid>required
environmentstringrequired
Allowed:sandboxproduction
productIdstring<uuid>required
offerTypestringrequired
Allowed:one_timerecurringfreecustom
namestringrequired
min length 1 · max length 160
descriptionstring | anyrequired
Show properties
Any of:
string
string
any
any
positionintegerrequired
min 0 · max 9007199254740991
statusstringrequired
Allowed:draftpublishedretired
isDefaultbooleanrequired
revisionintegerrequired
min -9007199254740991 · max 9007199254740991
publishedAtstring<date-time> | anyrequired
Show properties
Any of:
string<date-time>
string<date-time>
any
any
retiredAtstring<date-time> | anyrequired
Show properties
Any of:
string<date-time>
string<date-time>
any
any
createdByUserIdstring<uuid>required
versionsobject[]required
Show properties
Array of object
idstring<uuid>required
merchantIdstring<uuid>required
environmentstringrequired
Allowed:sandboxproduction
productIdstring<uuid>required
offerIdstring<uuid>required
offerTypestringrequired
Allowed:one_timerecurringfreecustom
versionNumberintegerrequired
min -9007199254740991 · max 9007199254740991
currencyanyrequired
amountHalalasinteger | anyrequired
Show properties
Any of:
integer
integer
any
any
minimumAmountHalalasinteger | anyrequired
Show properties
Any of:
integer
integer
any
any
maximumAmountHalalasinteger | anyrequired
Show properties
Any of:
integer
integer
any
any
intervalUnitstring | anyrequired
Show properties
Any of:
string
string
any
any
intervalCountinteger | anyrequired
Show properties
Any of:
integer
integer
any
any
trialDaysintegerrequired
min 0 · max 365
statusstringrequired
Allowed:draftpublishedreplaced
publishedAtstring<date-time> | anyrequired
Show properties
Any of:
string<date-time>
string<date-time>
any
any
replacedAtstring<date-time> | anyrequired
Show properties
Any of:
string<date-time>
string<date-time>
any
any
createdByUserIdstring<uuid>required
createdAtstring<date-time>required
updatedAtstring<date-time>required
createdAtstring<date-time>required
updatedAtstring<date-time>required
401Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
403Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
404Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
409Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
422Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
429Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
500Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
Request
curl -X GET "https://api.cipay.net/v2/products/%3Cuuid%3E/prices" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "nextCursor": "string",
  "prices": [
    {
      "id": "<uuid>",
      "merchantId": "<uuid>",
      "environment": "sandbox",
      "productId": "<uuid>",
      "offerType": "one_time",
      "name": "string",
      "description": "string",
      "position": 0,
      "status": "draft",
      "isDefault": true,
      "revision": 0,
      "publishedAt": "2024-01-01T00:00:00Z",
      "retiredAt": "2024-01-01T00:00:00Z",
      "createdByUserId": "<uuid>",
      "versions": [
        {
          "id": "<uuid>",
          "merchantId": "<uuid>",
          "environment": "sandbox",
          "productId": "<uuid>",
          "offerId": "<uuid>",
          "offerType": "one_time",
          "versionNumber": 0,
          "currency": "SAR",
          "amountHalalas": 0,
          "minimumAmountHalalas": 0,
          "maximumAmountHalalas": 0,
          "intervalUnit": "day",
          "intervalCount": 0,
          "trialDays": 0,
          "status": "draft",
          "publishedAt": "2024-01-01T00:00:00Z",
          "replacedAt": "2024-01-01T00:00:00Z",
          "createdByUserId": "<uuid>",
          "createdAt": "2024-01-01T00:00:00Z",
          "updatedAt": "2024-01-01T00:00:00Z"
        }
      ],
      "createdAt": "2024-01-01T00:00:00Z",
      "updatedAt": "2024-01-01T00:00:00Z"
    }
  ]
}